--- old/usr/src/lib/crypt_modules/bsdbf/blowfish.c	Thu Jul 11 01:29:11 2013
+++ new/usr/src/lib/crypt_modules/bsdbf/blowfish.c	Thu Jul 11 01:29:11 2013
@@ -82,7 +82,6 @@
 	uint32_t *xl;
 	uint32_t *xr;
 {
-/* CRYPT DELETE START */
 	uint32_t Xl;
 	uint32_t Xr;
 	uint32_t *s = c->S[0];
@@ -103,7 +102,6 @@
 
 	*xl = Xr ^ p[17];
 	*xr = Xl;
-/* CRYPT DELETE END */
 }
 
 void
@@ -112,7 +110,6 @@
 	uint32_t *xl;
 	uint32_t *xr;
 {
-/* CRYPT DELETE START */
 	uint32_t Xl;
 	uint32_t Xr;
 	uint32_t *s = c->S[0];
@@ -133,7 +130,6 @@
 
 	*xl = Xr ^ p[0];
 	*xr = Xl;
-/* CRYPT DELETE END */
 }
 
 void
@@ -140,8 +136,6 @@
 Blowfish_initstate(c)
 	blf_ctx *c;
 {
-/* CRYPT DELETE START */
-
 /* P-box and S-box tables initialized with digits of Pi */
 
 	const blf_ctx initstate =
@@ -417,8 +411,6 @@
 	} };
 
 	*c = initstate;
-
-/* CRYPT DELETE END */
 }
 
 uint32_t
@@ -429,7 +421,6 @@
 	uint32_t temp;
 
 	temp = 0x00000000;
-/* CRYPT DELETE START */
 	j = *current;
 
 	for (i = 0; i < 4; i++, j++) {
@@ -439,7 +430,6 @@
 	}
 
 	*current = j;
-/* CRYPT DELETE END */
 	return temp;
 }
 
@@ -446,7 +436,6 @@
 void
 Blowfish_expand0state(blf_ctx *c, const uint8_t *key, uint16_t keybytes)
 {
-/* CRYPT DELETE START */
 	uint16_t i;
 	uint16_t j;
 	uint16_t k;
@@ -479,7 +468,6 @@
 			c->S[i][k + 1] = datar;
 		}
 	}
-/* CRYPT DELETE END */
 }
 
 
@@ -487,7 +475,6 @@
 Blowfish_expandstate(blf_ctx *c, const uint8_t *data, uint16_t databytes,
 		     const uint8_t *key, uint16_t keybytes)
 {
-/* CRYPT DELETE START */
 	uint16_t i;
 	uint16_t j;
 	uint16_t k;
@@ -524,26 +511,21 @@
 			c->S[i][k + 1] = datar;
 		}
 	}
-
-/* CRYPT DELETE END */
 }
 
 void
 blf_key(blf_ctx *c, const uint8_t *k, uint16_t len)
 {
-/* CRYPT DELETE START */
 	/* Initialize S-boxes and subkeys with Pi */
 	Blowfish_initstate(c);
 
 	/* Transform S-boxes and subkeys with key */
 	Blowfish_expand0state(c, k, len);
-/* CRYPT DELETE END */
 }
 
 void
 blf_enc(blf_ctx *c, uint32_t *data, uint16_t blocks)
 {
-/* CRYPT DELETE START */
 	uint32_t *d;
 	uint16_t i;
 
@@ -552,13 +534,11 @@
 		Blowfish_encipher(c, d, d + 1);
 		d += 2;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_dec(blf_ctx *c, uint32_t *data, uint16_t blocks)
 {
-/* CRYPT DELETE START */
 	uint32_t *d;
 	uint16_t i;
 
@@ -567,13 +547,11 @@
 		Blowfish_decipher(c, d, d + 1);
 		d += 2;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_ecb_encrypt(blf_ctx *c, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i;
 
@@ -591,13 +569,11 @@
 		data[7] = r & 0xff;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_ecb_decrypt(blf_ctx *c, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i;
 
@@ -615,13 +591,11 @@
 		data[7] = r & 0xff;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_cbc_encrypt(blf_ctx *c, uint8_t *iv, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint32_t i, j;
 
@@ -642,13 +616,11 @@
 		iv = data;
 		data += 8;
 	}
-/* CRYPT DELETE END */
 }
 
 void
 blf_cbc_decrypt(blf_ctx *c, uint8_t *iva, uint8_t *data, uint32_t len)
 {
-/* CRYPT DELETE START */
 	uint32_t l, r;
 	uint8_t *iv;
 	uint32_t i, j;
@@ -685,10 +657,8 @@
 	data[7] = r & 0xff;
 	for (j = 0; j < 8; j++)
 		data[j] ^= iva[j];
-/* CRYPT DELETE END */
 }
 
-/* CRYPT DELETE START */
 #if 0
 void
 report(uint32_t data[], uint16_t len)
@@ -732,4 +702,3 @@
 	report(data2, 2);
 }
 #endif
-/* CRYPT DELETE END */
